#!/bin/bash

# Another OpenWrt bash script

# Run backups via restic

bkpwd="yourbackuppasswordhere" # We are gonna need that

export RESTIC_PASSWORD="$bkpwd"

# resticbasecmd = "restic -r sftp:restic@192.168.1.113:/home/restic backup" # root ssh key must be setup to access the remote target
# OpenWrt uses dropbear so use dropbear's key gen

# Two dirs I want to keep backed up

/usb/scripts/bin/restic -r sftp:pi@192.168.1.168:/storage/backup/openwrt backup /etc
curl -d "ETC backed up" 192.168.1.168:83/openwrt_backup
/usb/scripts/bin/restic -r sftp:pi@192.168.1.168:/storage/backup/openwrt backup /usb/scripts
curl -d "Scripts backed up" 192.168.1.168:83/openwrt_backup
/usb/scripts/bin/restic -r sftp:pi@192.168.1.168:/storage/backup/openwrt backup /root
curl -d "Root backed up" 192.168.1.168:83/openwrt_backup
vnstat -i wan --exportdb > /usb/tmp/vnstat.db
/usb/scripts/bin/restic -r sftp:pi@192.168.1.168:/storage/backup/openwrt backup /usb/tmp/vnstat.db
rm /usb/tmp/vnstat.db
curl -d "Vnstat backed up" 192.168.1.168:83/openwrt_backup